/*
 * Copyright (c) 2003 Jean-Yves Lefort
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. Neither the name of Jean-Yves Lefort nor the names of its contributors
 *    may be used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND
 * CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS
 * BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
 * TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
 * ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 */

#ifndef _SGTK_ALERT_DIALOG_H
#define _SGTK_ALERT_DIALOG_H

#include <gtk/gtk.h>
#include "sgtk-dialog.h"

#define SGTK_TYPE_ALERT_DIALOG			(sgtk_alert_dialog_get_type())
#define SGTK_ALERT_DIALOG(obj)			(G_TYPE_CHECK_INSTANCE_CAST((obj), SGTK_TYPE_ALERT_DIALOG, sGtkAlertDialog))
#define SGTK_ALERT_DIALOG_CLASS(klass)		(G_TYPE_CHECK_CLASS_CAST((klass), SGTK_TYPE_ALERT_DIALOG, sGtkAlertDialogClass))
#define SGTK_IS_ALERT_DIALOG(obj)		(G_TYPE_CHECK_INSTANCE_TYPE((obj), SGTK_TYPE_ALERT_DIALOG))
#define SGTK_IS_ALERT_DIALOG_CLASS(klass)	(G_TYPE_CHECK_CLASS_TYPE((klass), SGTK_TYPE_ALERT_DIALOG))
#define SGTK_ALERT_DIALOG_GET_CLASS(obj)	(G_TYPE_INSTANCE_GET_CLASS((obj), SGTK_TYPE_ALERT_DIALOG, sGtkAlertDialogClass))

typedef struct
{
  sGtkDialog		dialog;

  GtkWidget		*hbox;
  GtkWidget		*image;
} sGtkAlertDialog;

typedef struct
{
  sGtkDialogClass	parent_class;
} sGtkAlertDialogClass;

GType sgtk_alert_dialog_get_type (void);

#endif /* _SGTK_ALERT_DIALOG_H */
