/*
 * Copyright (c) 2003 Jean-Yves Lefort
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. Neither the name of Jean-Yves Lefort nor the names of its contributors
 *    may be used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND
 * CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS
 * BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
 * TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
 * ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 */

#ifndef _SGTK_HIG_H
#define _SGTK_HIG_H

#define SGTK_HIG_MAJOR_VERSION			1
#define SGTK_HIG_MINOR_VERSION			0

#define SGTK_HIG_UNIT				6	/* the base increment */

#define SGTK_HIG_CONTROL_SPACING		6	/* spacing between controls */
#define SGTK_HIG_CONTROL_LABEL_SPACING		12	/* spacing between a label and its control */

#define SGTK_HIG_CONTROLS_BORDER_WIDTH		12	/* border between controls and their container */

#define SGTK_HIG_DIALOG_BORDER_WIDTH		12	/* border of a dialog */
#define SGTK_HIG_DIALOG_CONTENTS_SPACING	12	/* spacing of a dialog content area */

#define SGTK_HIG_ALERT_IMAGE_X_ALIGN		0	/* X alignment of an alert image */
#define SGTK_HIG_ALERT_IMAGE_Y_ALIGN		0	/* Y alignment of an alert image */
#define SGTK_HIG_ALERT_LABEL_X_ALIGN		0	/* X alignment of an alert label */
#define SGTK_HIG_ALERT_LABEL_Y_ALIGN		0	/* Y alignment of an alert label */

#endif /* _SGTK_HIG_H */
