/*
 * Copyright (c) 2004 Jean-Yves Lefort
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. Neither the name of Jean-Yves Lefort nor the names of its contributors
 *    may be used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND
 * CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS
 * BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
 * TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
 * ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 */

#ifndef _ST_HANDLER_FIELD_H
#define _ST_HANDLER_FIELD_H

#include "st-handler-field-api.h"

#define ST_HANDLER_FIELD_DEFAULT_WIDTH	100

#define ST_HANDLER_FIELD_IS_VISIBLE(field) \
  ((st_handler_field_get_flags((field)) & ST_HANDLER_FIELD_VISIBLE) != 0)
#define ST_HANDLER_FIELD_IS_EDITABLE(field) \
  ((st_handler_field_get_flags((field)) & ST_HANDLER_FIELD_EDITABLE) != 0)
#define ST_HANDLER_FIELD_IS_VOLATILE(field) \
  ((st_handler_field_get_flags((field)) & ST_HANDLER_FIELD_VOLATILE) != 0)
#define ST_HANDLER_FIELD_HAS_DEDICATED_COLUMN(field)			\
  ((st_handler_field_get_flags((field)) & ST_HANDLER_FIELD_NO_DEDICATED_COLUMN) == 0)
#define ST_HANDLER_FIELD_STARTS_HIDDEN(field)				\
  ((st_handler_field_get_flags((field)) & ST_HANDLER_FIELD_START_HIDDEN) != 0)

STHandlerField *st_handler_field_new_dummy (void);

void        st_handler_field_set_user_visible  (STHandlerField  *field,
						gboolean        user_visible);
gboolean    st_handler_field_get_user_visible  (STHandlerField  *field);
void        st_handler_field_set_width         (STHandlerField  *field,
						int             width);
int         st_handler_field_get_width         (STHandlerField  *field);
void        st_handler_field_set_position      (STHandlerField	*field,
						int		position);
int         st_handler_field_get_position      (STHandlerField  *field);

#endif /* _ST_HANDLER_FIELD_H */
