/*
 * Copyright (c) 2004 Jean-Yves Lefort
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. Neither the name of Jean-Yves Lefort nor the names of its contributors
 *    may be used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND
 * CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS
 * BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
 * TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
 * ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 */
/* Adapted to Maemo platform by Olivier ROLAND */

#ifndef _ST_UTIL_H
#define _ST_UTIL_H

#include <gtk/gtk.h>

#define ST_COPYRIGHT	"Copyright \302\251 2002, 2003, 2004 Jean-Yves Lefort"
#define ST_HOME		"http://www.nongnu.org/streamtuner/"
#define ST_MAEMO_PORT	"Adapted to Maemo platform by Olivier ROLAND"
#define ST_MAEMO_HOME	"https://garage.maemo.org/projects/streamtuner/"

#define ST_PNG(name)	UIDIR G_DIR_SEPARATOR_S name ".png"

GtkWidget	*st_logo_new		(void);
void		st_show_help		(const char	*link_id);
void		st_visit_homepage	(const char	*url);
void		st_parser_msg_cb	(GScanner	*scanner,
					 char		*message,
					 gboolean	error);
void		st_window_set_icon	(GtkWindow	*window);

#endif /* _ST_UTIL_H */
